import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceGetCaseStatusService = createAsyncThunk(
  "PROVINCE_GET_CASE_STATUS_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("case_status/", {
      params: { date: d, role: getRoleFromUrl() },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
